scoreboard players add @a[scores={timeuntiltnt=1..}] time 1
scoreboard players remove @a[scores={timeuntiltnt=1..}] timeuntiltnt 1
scoreboard players set @a[scores={time=1200..}] time 0
scoreboard players set @a[scores={timeuntiltnt=29000..,playing=1}] event 6
execute as @e[tag=event] at @s if entity @a[scores={time=1150}] run setblock ~ ~ ~ air
execute as @e[tag=event,limit=1,sort=random] at @s if entity @a[scores={time=1160,timeuntiltnt=..29000}] run setblock ~ ~ ~ redstone_block
# BOSSBAR CONTROL
# 1 - only taxes, 2 - taxes + hunger, 3 - taxes + witch
execute if entity @a[scores={time=600..1199,timeuntiltnt=1..}] run bossbar set bar name [{"text":"Next Event - ","color":"yellow"},{"text":"Day","color":"blue","bold":"true"}]
execute if entity @a[scores={time=0..599,event=1,timeuntiltnt=1..}] run bossbar set bar name [{"text":"Next Event - ","color":"yellow"},{"text":"Night","color":"dark_blue","bold":"true"},{"text":" (+ Taxes & Apocalypse Time Decrease)","color":"yellow","bold":"true"}]
execute if entity @a[scores={time=0..599,event=2,timeuntiltnt=1..}] run bossbar set bar name [{"text":"Next Event - ","color":"yellow"},{"text":"Night","color":"dark_blue","bold":"true"},{"text":" (+ Taxes & The Great Hunger)","color":"yellow","bold":"true"}]
execute if entity @a[scores={time=0..599,event=3,timeuntiltnt=1..}] run bossbar set bar name [{"text":"Next Event - ","color":"yellow"},{"text":"Night","color":"dark_blue","bold":"true"},{"text":" (+ Taxes & Witches for Stiches)","color":"yellow","bold":"true"}]
execute if entity @a[scores={time=0..599,event=4,timeuntiltnt=1..}] run bossbar set bar name [{"text":"Next Event - ","color":"yellow"},{"text":"Night","color":"dark_blue","bold":"true"},{"text":" (+ Taxes & Underground Radiation)","color":"yellow","bold":"true"}]
execute if entity @a[scores={time=0..599,event=5,timeuntiltnt=1..}] run bossbar set bar name [{"text":"Next Event - ","color":"yellow"},{"text":"Night","color":"dark_blue","bold":"true"},{"text":" (+ Taxes & ","color":"yellow","bold":"true"},{"text":"Gold Heist","color":"gold","bold":"true"},{"text":")","color":"yellow","bold":"true"}]
execute if entity @a[scores={time=0..599,event=6,timeuntiltnt=1..}] run bossbar set bar name [{"text":"Next Event - ","color":"yellow"},{"text":"Night","color":"dark_blue","bold":"true"},{"text":" (+ Taxes & Friendly Night)","color":"yellow","bold":"true"}]
execute store result bossbar bar value run scoreboard players get @r time
# TIME CONTROL
execute if entity @a[scores={time=1160..1199}] run time set night
execute if entity @a[scores={time=0..560}] run time set noon
execute if entity @a[scores={time=561..600}] run time set night
execute if entity @a[scores={time=601..1159}] run time set midnight
# ENTITY SPAWNING
execute as @a[scores={time=100}] at @s run summon pig ~ ~-3 ~ {Tags:["fortp","animal"]}
execute as @a[scores={time=100}] at @s run summon sheep ~ ~-3 ~ {Tags:["fortp","animal"]}
execute as @a[scores={time=100}] at @s run summon cow ~ ~-3 ~ {Tags:["fortp","animal"]}
execute as @a[scores={time=400,timeuntiltnt=..29000}] at @s run summon creeper ~ ~-3 ~ {Tags:["fortp","mob"]}
execute as @a[scores={time=700,timeuntiltnt=..29000}] at @s run summon zombie ~ ~-3 ~ {Tags:["fortp","mob"]}
execute as @a[scores={time=700,timeuntiltnt=..29000}] at @s run summon zombie ~ ~-3 ~ {Tags:["fortp","mob"]}
execute as @a[scores={time=700,timeuntiltnt=..29000}] at @s run summon skeleton ~ ~-3 ~ {Tags:["fortp","mob"],HandItems:[{id:"minecraft:bow",Count:1b},{}]}
execute as @a[scores={time=1000,timeuntiltnt=..29000}] at @s run summon spider ~ ~-3 ~ {Tags:["fortp","mob"]}
# EVENT CONTROL
scoreboard players set @a[scores={time=640}] allowoffhand 1
replaceitem entity @a[scores={time=640..740}] weapon.offhand minecraft:diamond_hoe{display:{Name:"[{\"text\":\"Err\",\"color\":\"red\",\"bold\":\"true\"},{\"text\":\"uuuu\",\"color\":\"red\",\"bold\":\"true\",\"obfuscated\":\"true\"},{\"text\":\"_10\",\"color\":\"red\",\"bold\":\"true\"},{\"text\":\"o\",\"color\":\"red\",\"bold\":\"true\",\"obfuscated\":\"true\"}]"}} 1
execute as @a[scores={time=640,event=1}] at @s run scoreboard players remove @a timeuntiltnt 4857
execute as @a[scores={time=640,event=2}] at @s run effect give @s hunger 20 40 false
execute as @a[scores={time=640,event=3}] at @s run summon witch ~ ~-3 ~ {Tags:["fortp","mob"]}
execute as @a[scores={time=640,event=3}] at @s run summon witch ~ ~-3 ~ {Tags:["fortp","mob"]}
execute as @a[scores={time=640,event=3}] at @s run summon witch ~ ~-3 ~ {Tags:["fortp","mob"]}
execute as @a[scores={time=640,event=3}] at @s run summon witch ~ ~-3 ~ {Tags:["fortp","mob"]}
execute as @a[scores={time=640,event=3}] at @s run summon witch ~ ~-3 ~ {Tags:["fortp","mob"]}
execute as @a[scores={time=640,event=4}] at @s run title @a title {"text":"Underground Radiation","color":"yellow"}
execute as @a[scores={time=640,event=4}] at @s run title @a subtitle {"text":"Climb to the surface!","color":"red"}
execute as @a[scores={time=640,event=4}] at @s run playsound block.anvil.place master @a ~ ~ ~ 1000
execute as @a[scores={time=640,event=5}] at @s run summon vindicator ~ 15 ~ {CustomNameVisible:1b,DeathLootTable:"mcforriches:heist",PersistenceRequired:1b,Health:50f,Tags:["animal"],CustomName:"{\"text\":\"Gold Heist\",\"color\":\"gold\",\"bold\":\"true\",\"underlined\":\"true\"}",HandItems:[{id:"minecraft:diamond_axe",Count:1b,tag:{Enchantments:[{id:"minecraft:sharpness",lvl:3}]}},{id:"minecraft:shield",Count:1b}],HandDropChances:[-327.67F,-327.67F],ArmorItems:[{id:"minecraft:golden_helmet",Count:1b,tag:{Enchantments:[{id:"minecraft:protection",lvl:3}]}},{id:"minecraft:golden_leggings",Count:1b,tag:{Enchantments:[{id:"minecraft:protection",lvl:3}]}},{id:"minecraft:golden_chestplate",Count:1b,tag:{Enchantments:[{id:"minecraft:protection",lvl:3}]}},{id:"minecraft:golden_helmet",Count:1b,tag:{Enchantments:[{id:"minecraft:protection",lvl:3}]}}],ArmorDropChances:[-327.67F,-327.67F,-327.67F,-327.67F],Attributes:[{Name:generic.maxHealth,Base:50},{Name:generic.knockbackResistance,Base:1.0}]}
execute as @a[scores={time=640,event=5}] at @s run title @a title {"text":"Gold Heist has Spawned!","color":"gold"}
execute as @a[scores={time=640,event=5}] at @s run playsound entity.wither.spawn master @a ~ ~ ~ 1000
execute as @a[scores={time=640..1040,event=4}] at @s run particle dust 0 0.5 0 2 ~ ~ ~ 3 3 3 0 50 force @a[x=-4000,dx=8000,y=0,dy=13,z=-4000,dz=8000]
execute as @a[scores={time=640..1040,event=4}] at @s run effect give @a[x=-4000,dx=8000,y=0,dy=13,z=-4000,dz=8000] wither 1 2 false
execute as @a[scores={time=1040,event=4}] at @s run title @a title {"text":"Underground Radiation Over","color":"green"}
execute as @a[scores={time=1040,event=4}] at @s run playsound ding master @a ~ ~ ~ 1000
scoreboard players remove @a[scores={time=740}] cash 2
scoreboard players set @a[scores={time=740}] allowoffhand 0
# ENTITY CONTROL
execute as @a at @s run spreadplayers ~ ~ 3 7 false @e[tag=fortp]
execute as @e[tag=fortp] at @s run particle minecraft:cloud ~ ~ ~ 3 3 3 0 20 force @a
tag @e[tag=fortp] remove fortp
scoreboard players add @e[tag=mob] ford 1
scoreboard players add @e[tag=animal] ford 1
execute as @e[tag=mob,scores={ford=300..}] at @s run tp @s ~ -1 ~
execute as @e[tag=animal,scores={ford=1000..}] at @s run tp @s ~ -1 ~
# APOCALYPSE CONTROL
scoreboard players set @a[scores={timeuntiltnt=1..400,cashsetting=0..4}] allowinv 2
title @a[scores={timeuntiltnt=400}] title {"text":"Apocalypse is approaching!","color":"red"}
title @a[scores={timeuntiltnt=400}] subtitle {"text":"Open your inventory if you want to stop it!","color":"green"}
title @a[scores={timeuntiltnt=1}] title {"text":"APOCALYPSE","color":"red"}
execute as @a[scores={timeuntiltnt=1}] at @s run playsound entity.wither.spawn master @a ~ ~ ~ 1000
execute as @a[scores={timeuntiltnt=0..1}] at @s run function mcforriches:apocalypse